scala.xml.dtd

# Scanner

#### class Scanner extends Tokens with TokenTests

Scanner for regexps (content models in DTD element declarations) todo: cleanup

Source
  Scanner.scala

Linear Supertypes
TokenTests, Tokens, AnyRef, Any
Known Subclasses
ContentModelParser
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Scanner
2. TokenTests
3. Tokens
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Scanner()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final val CHOICE: Int(9)

   Definition Classes
     Tokens

7. #### final val COMMA: Int(5)

   Definition Classes
     Tokens

8. #### final val END: Int(10)

   Definition Classes
     Tokens

9. #### final val ENDCH: Char(\'\00\')

10. #### final val LPAREN: Int(3)

    Definition Classes
      Tokens

11. #### final val NAME: Int(1)

    Definition Classes
      Tokens

12. #### final val OPT: Int(8)

    Definition Classes
      Tokens

13. #### final val PLUS: Int(7)

    Definition Classes
      Tokens

14. #### final val RPAREN: Int(4)

    Definition Classes
      Tokens

15. #### final val S: Int(13)

    Definition Classes
      Tokens

16. #### final val STAR: Int(6)

    Definition Classes
      Tokens

17. #### final val TOKEN_PCDATA: Int(0)

    Definition Classes
      Tokens

18. #### final def acc(d: Char): Unit

19. #### final def accS(ds: Seq[Char]): Unit

20. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

21. #### def checkPubID(s: String): Boolean

    Definition Classes
      TokenTests

22. #### def checkSysID(s: String): Boolean

    Definition Classes
      TokenTests

23. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

24. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

26. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

27. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

28. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

29. #### final def initScanner(s: String): Unit

    initializes the scanner on input s

30. #### def isAlpha(c: Char): Boolean

    These are 99% sure to be redundant but refactoring on the safe side.

    These are 99% sure to be redundant but refactoring on the safe side.

    Definition Classes
      TokenTests

31. #### def isAlphaDigit(c: Char): Boolean

    Definition Classes
      TokenTests

32. #### final def isIdentChar: Boolean

33. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

34. #### def isName(s: String): Boolean

    Name ::= ( Letter | '_' ) (NameChar)*

    Name ::= ( Letter | '_' ) (NameChar)*

    see [5] of XML 1.0 specification

    Definition Classes
      TokenTests

35. #### def isNameChar(ch: Char): Boolean

    NameChar ::= Letter | Digit | '.

    NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender

    see [4] and Appendix B of XML 1.0 specification

    Definition Classes
      TokenTests

36. #### def isNameStart(ch: Char): Boolean

    NameStart ::= ( Letter | '_' ) where Letter means in one of the Unicode general categories { Ll, Lu, Lo, Lt, Nl }

    NameStart ::= ( Letter | '_' ) where Letter means in one of the Unicode general categories { Ll, Lu, Lo, Lt, Nl }

    We do not allow a name to start with ':'. see [3] and Appendix B of XML 1.0 specification

    Definition Classes
      TokenTests

37. #### def isPubIDChar(ch: Char): Boolean

    Definition Classes
      TokenTests

38. #### final def isSpace(cs: Seq[Char]): Boolean

    (#x20 | #x9 | #xD | #xA)+

    (#x20 | #x9 | #xD | #xA)+

    Definition Classes
      TokenTests

39. #### final def isSpace(ch: Char): Boolean

    (#x20 | #x9 | #xD | #xA)

    (#x20 | #x9 | #xD | #xA)

    Definition Classes
      TokenTests

40. #### def isValidIANAEncoding(ianaEncoding: Seq[Char]): Boolean

    Returns true if the encoding name is a valid IANA encoding.

    Returns true if the encoding name is a valid IANA encoding. This method does not verify that there is a decoder available for this encoding, only that the characters are valid for an IANA encoding name.

    ianaEncoding

      The IANA encoding name.

    Definition Classes
      TokenTests

41. #### final def name: Int

42. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

43. #### final def next(): Unit

44. #### final def nextToken(): Unit

    scans the next token

45. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

46. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

47. #### final def readToken: Int

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

50. #### var token: Int

51. #### final def token2string(i: Int): String

    Definition Classes
      Tokens

52. #### var value: String

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from TokenTests

### Inherited from Tokens

### Inherited from AnyRef

### Inherited from Any